%define name 	bluez-pin
%define version 0.25
%define release 1mdk

Summary: 	Bluetooth PIN GUI
Name: 		%name
Version: 	%version
Release: 	%release
Url: 		http://www.bluez.org/
License: 	GPL
Group: 		Communications
Source0: 	ftp://gpe.handhelds.org/projects/gpe/source/%{name}-%{version}.tar.gz

Buildroot: 	%_tmppath/%name-%version-buildroot
BuildRequires:	ImageMagick gtk2-devel libglade2.0-devel libGConf2-devel
BuildRequires:	libbluez-devel
BuildRequires:  dbus-devel >= 0.22
Requires:	dbus >= 0.22

%description
A GTK2 helper app for Bluetooth PIN number.

%prep
%setup -q
perl -p -i -e "s|-O2 -g|$RPM_OPT_FLAGS||g" Makefile

%build
make PREFIX=%_prefix

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std PREFIX=%_prefix SYSCONFDIR=/etc

mkdir -p  $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit.d
cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit.d/%{name}
exec %{_bindir}/bluez-pin --dbus
EOF
chmod 755 $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit.d/%{name}

%find_lang %name

%post
update-alternatives --install /bin/bluepin bluepin /usr/bin/bluez-pin 10

%postun
[ $1 != 0 ] && exit 0
update-alternatives --remove bluepin /usr/bin/bluez-pin

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc ChangeLog 
%config(noreplace) %_sysconfdir/X11/xinit.d/*
%_bindir/%name
%config %_sysconfdir/dbus*/*
%_datadir/pixmaps/*
%_datadir/%name

%changelog
* Fri Apr 29 2005 Nicolas Lecureuil <neoclust@mandriva.org> 0.25-1mdk
- New release 0.25

* Thu Jan 27 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.24-1mdk
- New release 0.24
- Remove patch0 (merged upstream)

* Fri Aug 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23-4mdk
- Patch0: API fix for D-Bus 0.22

* Sun Aug 01 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.23-3mdk
- add BuildRequires: libbluez-devel

* Tue Jul 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23-2mdk
- Add xinit autostart for dbus helper
- Fix alternative install (people upgrading for previous release needs to 
re-register alternative)

* Fri Jul 9 2004 Austin Acton <austin@mandrake.org> 0.23-1mdk
- 0.23

